%global momorel 4
%global xfce4ver 4.6.0

Name: 		xfce4-modemlights-plugin
Version: 	0.1.3.99
Release: 	%{momorel}m%{?dist}
Summary: 	Modemlights for the Xfce panel

Group: 		User Interface/Desktops
License:	GPLv2
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource:	0
Patch0:		%{name}-0.1.3.99-ifupdown.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= %{xfce4ver}
BuildRequires:	libxfcegui4-devel >= %{xfce4ver}
BuildRequires:	libxml2-devel
BuildRequires:	gettext, perl-XML-Parser
Requires:	xfce4-panel >= %{xfce4ver}
Requires:	ppp

%description
A Xfce4 panel applet intended to simplify establishing a ppp connection via 
a modem.

%prep
%setup -q
%patch0 -p1 -b .ifupdown

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/pixmaps/modem-*.png

%changelog
* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.3.99-4m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.3.99-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.3.99-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.3.99-1m)
- import to Momonga from fedora

* Wed Nov 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.3.99-2
- Require ppp

* Tue Nov 20 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.3.99-1
- Update to 0.1.4 RC
- Update license tag

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-7
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-6
- Rebuild for Fedora Extras 5.

* Sat Jan 28 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-5
- Add libXt-devel BuildReqs.
- Drop libX11-devel.

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-4
- Add libX11-devel BuildReqs for modular X.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-3
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-1.fc4.cw
- Initial Fedora Extras version.
- Update to 0.1.1
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc4.cw
- Initial RPM release.
